Name:           python-systemd
Version:        234
Release:        1%{?dist}
Summary:        Python module wrapping systemd functionality

License:        LGPLv2+
URL:            https://github.com/systemd/python-systemd
Source0:        https://github.com/systemd/python-systemd/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Patch1:         0001-tests-add-workaround-for-pre-232-system-returning-EI.patch
#Patch2:         0002-_reader-use-proper-ifdef-guard-for-sd_j_open_files_f.patch

BuildRequires:  systemd-devel
BuildRequires:  python2-devel
BuildRequires:  web-assets-devel
BuildRequires:  pytest
BuildRequires:  python-sphinx
%{?python_provide:%python_provide python2-systemd}
Provides:       systemd-python = %{version}-%{release}
Provides:       systemd-python%{?_isa} = %{version}-%{release}
Obsoletes:      systemd-python < 230

%global _docdir_fmt %{name}
%global _description \
Python module for native access to the systemd facilities.             \
Functionality includes sending of structured messages to the journal   \
and reading journal files, querying machine and boot identifiers and a \
lists of message identifiers provided by systemd. Other functionality  \
provided by libsystemd is also wrapped.

%description %_description

%package doc
Summary:        HTML documentation for %{name}
Requires:       js-jquery

%description doc
%{summary}.

%prep
%autosetup -p1
sed -i 's/py\.test/pytest/' Makefile

%build
make PYTHON=%{__python2} build
make PYTHON=%{__python2} sphinx-html
rm -r build/html/.buildinfo build/html/.doctrees

%install
%make_install PYTHON=%{__python2}
mkdir -p %{buildroot}%{_pkgdocdir}
cp -rv build/html %{buildroot}%{_pkgdocdir}/
ln -vsf %{_jsdir}/jquery/latest/jquery.min.js %{buildroot}%{_pkgdocdir}/html/_static/jquery.js
cp -p README.md NEWS %{buildroot}%{_pkgdocdir}/

#%check
## if the socket is not there, skip doc tests
#test -f /run/systemd/journal/stdout || \
#     sed -i 's/--doctest[^ ]*//g' pytest.ini
#make PYTHON=%{__python2} check

%files -n python-systemd
%license LICENSE.txt
%doc %{_pkgdocdir}
%exclude %{_pkgdocdir}/html
%{python2_sitearch}/systemd/
%{python2_sitearch}/systemd_python*.egg-info

%files doc
%doc %{_pkgdocdir}/html

%changelog
* Thu Mar 16 2017 Jan Synáček <jsynacek@redhat.com> - 234-1
- Rebuild for systemd-234

* Thu Mar 16 2017 Jan Synáček <jsynacek@redhat.com> - 232-3
- Rebuild for systemd-233

* Tue Dec 13 2016 Stratakis Charalampos <cstratak@redhat.com> - 232-2
- Rebuild for Python 3.6

* Thu Sep 22 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 232-1
- Update to latest version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 231-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 231-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 24 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@bupkis> - 231-4
- Bugfixes for seek_monotonic and Python 2 compat

* Sun Nov 15 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 231-3
- Split out doc subpackage (#1242619)
- Do not allow installation of python-systemd in different versions

* Sat Nov 07 2015 Robert Kuska <rkuska@redhat.com> - 231-2
- Rebuilt for Python3.5 rebuild

* Tue Oct 27 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@laptop> - 231-1
- Update to latest version

* Mon Jul  6 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@laptop> - 230-1
- Initial packaging
